/*
 * m5stack_keyboard.h
 *
 *  Created on: Aug 6, 2022
 *      Author: user
 */

#ifndef INC_M5STACK_KEYBOARD_H_
#define INC_M5STACK_KEYBOARD_H_

#include "main.h"

#define CARDKB_ADDR (0x5F<<1)
#define CARDKB_I2C 	hi2c3
#define I2C_TIMEOUT 1 // ms

HAL_StatusTypeDef read_keyboard(uint8_t *key_code);

char CardKB_code2char(uint8_t key_code);
void KeyboardKeycodes(uint8_t key_code, uint8_t KeyboardReportBuffer[8]);

#endif /* INC_M5STACK_KEYBOARD_H_ */
